#!/bin/bash

PATH=$PATH:/usr/bin/:/usr/local/bin/:/usr/sbin
dataCenterPath=$1
profile=$2
jars=( data-collection\
  data-metadata-collect-fileset\
  data-metadata-collect\
  data-metadata-dic\
  data-metadata-group\
  data-metadata-mapping\
  data-metadata-model\
  data-sources\
  data-standard\
  data-metadata-interface\
  data-asset\  
)

function startModule()
{
  moduleName=$1
#  ${JAVA_HOME}bin/java -Xms256m -Xmx512m -Xss512K -Dspring.profiles.active=${profile} -Dspring.config.location=file:${dataCenterPath}/config/ -jar jars/${moduleName}.jar &
  # ${JAVA_HOME}bin/java -Dspring.profiles.active=${profile} -jar jars/${moduleName}.jar &
  > logs/${moduleName}.log &
  # echo "${!}" > pids/common/${moduleName}.pid
  # echo ""$
  sleep 1
}

function main(){
  cd ${dataCenterPath}
  for jar in jars 
  do
    startModule $jar
  done
}

main
